Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.shell.util
Class RenderMessageSource

Field Summary
`Renderer` | `renderer`

Constructor Summary
`RenderMessageSource(def names)`
`RenderMessageSource(String name)`
`RenderMessageSource(def types)`
`RenderMessageSource(Class type)`

Method Summary
`String` | `getMessage(String code)`

Constructor Detail

### RenderMessageSource

    public RenderMessageSource(def names)

### RenderMessageSource

    public RenderMessageSource(String name)

### RenderMessageSource

    public RenderMessageSource(def types)

### RenderMessageSource

    public RenderMessageSource(Class type)

Method Detail

### getMessage

    public String getMessage(String code)